%define		php_min_version 5.2.1
%include	/usr/lib/rpm/macros.php
Summary:	Gettext support for Smarty
Summary(pl.UTF-8):	Obsługa gettexta dla systemu Smarty
Name:		Smarty-plugin-gettext
Version:	1.4.0
Release:	1
License:	LGPL v2+
Group:		Development/Languages/PHP
Source0:	https://github.com/smarty-gettext/smarty-gettext/archive/%{version}/smarty-gettext-%{version}.tar.gz
# Source0-md5:	2ef33831e5bd530967bbb7400d29787b
URL:		https://github.com/smarty-gettext/smarty-gettext
BuildRequires:	rpm-php-pearprov
BuildRequires:	sed >= 4.0
Requires:	Smarty >= 2.6.10-4
Requires:	php(core) >= %{php_min_version}
Requires:	php(gettext)
Requires:	sed >= 4.0
Provides:	smarty-gettext = %{version}-%{release}
Obsoletes:	smarty-gettext
Obsoletes:	smarty-gettext-devel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_smartyplugindir	%{php_data_dir}/Smarty/plugins
%define		_smarty3plugindir	%{php_data_dir}/Smarty3/plugins

# tsmarty2c is deliberately packaged to both packages with same name
%define		_duplicate_files_terminate_build   0

%description
smarty-gettext provides gettext support for Smarty, the popular PHP
templating engine <http://smarty.php.net/>.

%description -l pl.UTF-8
smarty-gettext dodaje obsługę gettexta do systemu Smarty - popularnego
silnika szablonów dla PHP - <http://smarty.php.net/>.

%package -n php-Smarty-plugin-gettext
Summary:	Gettext support for Smarty
Summary(pl.UTF-8):	Obsługa gettexta dla systemu Smarty
Group:		Development/Languages/PHP
Requires:	php(core) >= %{php_min_version}
Requires:	php(gettext)
Requires:	php-Smarty >= 3.1.8-4

%description -n php-Smarty-plugin-gettext
smarty-gettext provides gettext support for Smarty, the popular PHP
templating engine <http://smarty.php.net/>.

%description -n php-Smarty-plugin-gettext -l pl.UTF-8
smarty-gettext dodaje obsługę gettexta do systemu Smarty - popularnego
silnika szablonów dla PHP - <http://smarty.php.net/>.

%prep
%setup -q -n smarty-gettext-%{version}

%{__sed} -i -e '1s,^#!.*php,#!/usr/bin/php,' tsmarty2c.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_smartyplugindir},%{_smarty3plugindir},%{_bindir}}
cp -p block.t.php $RPM_BUILD_ROOT%{_smartyplugindir}
cp -p block.t.php $RPM_BUILD_ROOT%{_smarty3plugindir}
cp -p tsmarty2c.php $RPM_BUILD_ROOT%{_bindir}/tsmarty2c

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md ChangeLog.md
%attr(755,root,root) %{_bindir}/tsmarty2c
%{_smartyplugindir}/*.php

%files -n php-Smarty-plugin-gettext
%defattr(644,root,root,755)
%doc README.md ChangeLog.md
%attr(755,root,root) %{_bindir}/tsmarty2c
%{_smarty3plugindir}/*.php
%changelog
* Mon Jun 13 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Smarty-plugin-gettext.git;a=log;h=AC-branch

* Mon Jun 13 2016 Elan Ruusamäe <glen@delfi.ee> d3854cc
- up to 1.4.0, adds context support for {t}

* Mon May 11 2015 Elan Ruusamäe <glen@delfi.ee> 4200119
- up to 1.2.0, adds {locale} directive

* Thu Dec 26 2013 Elan Ruusamäe <glen@delfi.ee> 05d2ddd
- up to 1.1.0; updated URL

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> bb17d5c
- up to 1.0.1, new home

* Wed Oct 30 2013 Elan Ruusamäe <glen@delfi.ee> 2e412f5
- help rpm5 out: tsmarty2c is deliberately packaged to both packages with same name

* Wed Oct 30 2013 Elan Ruusamäe <glen@delfi.ee> 2fb1a22
- install plugin for smarty3 to separate package

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 1ea5701
- use php(core) as dependency to require php version
- release 10 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> af38e0a
- use virtual php extension deps (to be independant of php version)
- release 10 (by relup.sh)

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> ddf8fc2
- BR: rpm-php-pearprov

* Mon Jul 26 2010 Elan Ruusamäe <glen@pld-linux.org> 48ef24d
- rename to Smarty-plugin-gettext
- include tsmarty2c in base package (drop -devel package)
- updated deps
- rel 6

* Thu Mar 25 2010 Elan Ruusamäe <glen@pld-linux.org> d0e2a83
- add improved tsmarty2c; rel 5

* Wed Feb 20 2008 Elan Ruusamäe <glen@pld-linux.org> 0f29f76
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 924f14f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 103be04
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> fcc99ad
- rel 3: use php(extension) virtuals

* Fri Jun 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 0f19e51
- pl for -devel

* Wed Jun 21 2006 Elan Ruusamäe <glen@pld-linux.org> 827d941
- move tsmarty2c to -devel

* Sat Apr 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 6886e5d
- pl

* Sun Apr 09 2006 Elan Ruusamäe <glen@pld-linux.org> 9dec900
- uses gettext extension

* Sun Apr 09 2006 Elan Ruusamäe <glen@pld-linux.org> 6372371
- new

